#include <string>
#include <vector>
using namespace std;

#include "Piece.h"

namespace cs142Chess
{
	// Create a Piece
	// Default constructor

	// Create a Piece
	// Default constructor
	//Color color_;
	//bool onTheBoard_;
	//int row_;
	//int column_;
	//float power_
	Piece::Piece() : color_(UNKNOWN), 
		onTheBoard_(false), row_(0), column_(0),
		power_(0)
	{}

	Piece::Piece(Color color, int row, int column,
		float power) : 
		color_(color), row_(row), column_(column),
		power_(power), onTheBoard_(true)
	{}

	Piece::Piece(const Piece& orig) :
		color_(orig.color_), row_(orig.row_),
		column_(orig.column_), power_(orig.power_),
		onTheBoard_(orig.onTheBoard_)
	{}

	// Destroy it
	// Virtual destructor means we can use Piece
	// as a base class and it will behave polymorphically
	Piece::~Piece()
	{}

	// Get the color
	// True = 0, False = 1

}